@base <https://purl.org/coscine/ap/qudt/quantitykind/LuminousIntensity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/LuminousIntensity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Lichtstärke sind."@de,
    "Profile for all units that are a/an Luminous Intensity."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Lichtstärke"@de,
    "Unit: Luminous Intensity"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:CD unit:CP ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:CD rdfs:label "Candela"@de, "Candela"@en, "Candela"@es, "Candela"@fr, "Candela"@it, "Candela"@la, "Candela"@pt, "Candela"@tr, "Candelă"@ro, "Kandela"@cs, "Kandela"@hu, "Kandela"@ms, "Kandela"@pl, "Kandela"@sl, "Καντέλα"@el, "Кандела"@bg, "Кандела"@ru, "קנדלה"@he, "قنديلة"@ar, "کاندلا"@fa, "कॅन्डेला"@hi, "カンデラ"@ja, "坎德拉"@zh .
unit:CP rdfs:label "Candlepower"@en .
